# AirportSpec Struct Reference

Defines the data structure for an airport. More...

`#include <airport.h>`

## Public Member Functions
bool | IsAvailable () const
## Static Public Member Functions
static const AirportSpec * | Get (byte type)
| Retrieve airport spec for the given airport.
## Data Fields
const AirportTileTable *const * | table
| list of the tiles composing the airport
const TileIndexDiffC * | depot_table
| gives the position of the depots on the airports
byte | nof_depots
| the number of depots in this airport
byte | size_x
| size of airport in x direction
byte | size_y
| size of airport in y direction
byte | noise_level
| noise that this airport generates
byte | catchment
| catchment area of this airport
Year | min_year
| first year the airport is available
Year | max_year
| last year the airport is available
## Static Public Attributes
static AirportSpec | dummy = {NULL, NULL, 0, 0, 0, 0, 0, MIN_YEAR, MIN_YEAR}
static AirportSpec | oilrig = {NULL, NULL, 0, 1, 1, 0, 4, MIN_YEAR, MIN_YEAR}

## Detailed Description

Defines the data structure for an airport.

Definition at line 54 of file airport.h.

## Member Function Documentation

const AirportSpec * AirportSpec::Get | ( | byte | type | ) | `[static]`

Retrieve airport spec for the given airport.

Parameters:

  | type | index of airport

Returns:
  A pointer to the corresponding AirportSpec

Definition at line 32 of file airport.cpp.

Referenced by CmdBuildAirport(), AIAirport::GetAirportCoverageRadius(), AIAirport::GetNearestTown(), AIAirport::GetNoiseLevelIncrease(), AIAirport::GetPrice(), AIAirport::IsValidAirportType(), AirportPickerWindow::OnInvalidateData(), and AirportPickerWindow::OnPaint().

The documentation for this struct was generated from the following files:

- src/airport.h
- src/airport.cpp